FreeBSD Architecture Handbook
Prev |  | Next

# Chapter 3 Kernel Objects

Kernel Objects, or Kobj provides an object-oriented C programming system for the kernel. As such the data being operated on carries the description of how to operate on it. This allows operations to be added and removed from an interface at run time and without breaking binary compatibility.

# 3.1 Terminology

Object

  A set of data - data structure - data allocation.

Method

  An operation - function.

Class

  One or more methods.

Interface

  A standard set of one or more methods.

Prev | Home | Next
Atomically Protected Variables | Up | Kobj Operation